import dynamix_sdk.base as _base


class CloudapiComputeResumeResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeResumeProtocol(_base.BasePostAPIFunctionProtocol):
    def resume(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeResumeResultBool:
        ...
